Package com.castlabs.android.player

# Class DashDescriptor

java.lang.Object
com.castlabs.android.player.DashDescriptor

public class DashDescriptor extends Object
A Dash descriptor.

Since:
  4.0.5

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `DashDescriptor.DescriptorType`
  Defines the possible types for a DASH descriptor.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESSIBILITY`
  Accessibility descriptor.
  `static final int`
  `ASSET_IDENTIFIER`
  Asset identifier descriptor.
  `static final int`
  `ESSENTIAL_PROPERTY`
  Essential property descriptor.
  `static final int`
  `INBAND_EVENT_STREAM`
  Inband event stream descriptor.
  `static final int`
  `RATING`
  Rating descriptor.
  `static final int`
  `ROLE`
  Role descriptor.
  `static final int`
  `SUPPLEMENTAL_PROPERTY`
  Supplemental property descriptor.
  `static final int`
  `VIEWPOINT`
  Viewpoint descriptor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DashDescriptor(int type, String schemeIdUri, String value, String id)`
  Creates a new DashDescriptor instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the ID of the descriptor.
  `String`
  `getSchemeIdUri()`
  Gets the scheme ID URI of the descriptor.
  `int`
  `getType()`
  Gets the type of the descriptor.
  `String`
  `getValue()`
  Gets the value of the descriptor.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROLE

    public static final int ROLE
    Role descriptor.
    See Also:
      - Constant Field Values

  - ### ESSENTIAL_PROPERTY

    public static final int ESSENTIAL_PROPERTY
    Essential property descriptor.
    See Also:
      - Constant Field Values

  - ### SUPPLEMENTAL_PROPERTY

    public static final int SUPPLEMENTAL_PROPERTY
    Supplemental property descriptor.
    See Also:
      - Constant Field Values

  - ### ACCESSIBILITY

    public static final int ACCESSIBILITY
    Accessibility descriptor.
    See Also:
      - Constant Field Values

  - ### VIEWPOINT

    public static final int VIEWPOINT
    Viewpoint descriptor.
    See Also:
      - Constant Field Values

  - ### RATING

    public static final int RATING
    Rating descriptor.
    See Also:
      - Constant Field Values

  - ### INBAND_EVENT_STREAM

    public static final int INBAND_EVENT_STREAM
    Inband event stream descriptor.
    See Also:
      - Constant Field Values

  - ### ASSET_IDENTIFIER

    public static final int ASSET_IDENTIFIER
    Asset identifier descriptor.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DashDescriptor

    public DashDescriptor(int type, @NonNull String schemeIdUri, @Nullable String value, @Nullable String id)
    Creates a new DashDescriptor instance.
    Parameters:
      `type` - type of the descriptor
      `schemeIdUri` - scheme id, or "key"
      `value` - value, can be null
      `id` - id, can be null

- ## Method Details

  - ### getSchemeIdUri

    @NonNull public String getSchemeIdUri()
    Gets the scheme ID URI of the descriptor.
    Returns:
      The scheme ID URI.

  - ### getValue

    @Nullable public String getValue()
    Gets the value of the descriptor.
    Returns:
      The value, or null if not present.

  - ### getId

    @Nullable public String getId()
    Gets the ID of the descriptor.
    Returns:
      The ID, or null if not present.

  - ### getType

    public int getType()
    Gets the type of the descriptor.
    Returns:
      The type of the descriptor.